| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- o

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - o -

- osDelay() : cmsis_os.h
- osKernelInitialize() : cmsis_os.h
- osKernelRunning() : cmsis_os.h
- osKernelStart() : cmsis_os.h
- osMailAlloc() : cmsis_os.h
- osMailCAlloc() : cmsis_os.h
- osMailCreate() : cmsis_os.h
- osMailFree() : cmsis_os.h
- osMailGet() : cmsis_os.h
- osMailPut() : cmsis_os.h
- osMessageCreate() : cmsis_os.h
- osMessageGet() : cmsis_os.h
- osMessagePut() : cmsis_os.h
- osMutexCreate() : cmsis_os.h
- osMutexDelete() : cmsis_os.h
- osMutexRelease() : cmsis_os.h
- osMutexWait() : cmsis_os.h
- osPoolAlloc() : cmsis_os.h
- osPoolCAlloc() : cmsis_os.h
- osPoolCreate() : cmsis_os.h
- osPoolFree() : cmsis_os.h
- osSemaphoreCreate() : cmsis_os.h
- osSemaphoreDelete() : cmsis_os.h
- osSemaphoreRelease() : cmsis_os.h
- osSemaphoreWait() : cmsis_os.h
- osSignalClear() : cmsis_os.h
- osSignalGet() : cmsis_os.h
- osSignalSet() : cmsis_os.h
- osSignalWait() : cmsis_os.h
- osThreadCreate() : cmsis_os.h
- osThreadGetId() : cmsis_os.h
- osThreadGetPriority() : cmsis_os.h
- osThreadSetPriority() : cmsis_os.h
- osThreadTerminate() : cmsis_os.h
- osThreadYield() : cmsis_os.h
- osTimerCreate() : cmsis_os.h
- osTimerDelete() : cmsis_os.h
- osTimerStart() : cmsis_os.h
- osTimerStop() : cmsis_os.h